#include "ReverseString.h"

char* reverseString(char* str)
{
	Stack s = { NULL };
	int index = 0, success = 0;
	Data d = { '\0' };
	
	while (str[index] != '\0')
	{
		// we have data to push to stack
		d.letter = str[index]; // we need to package the character inside of a Data struct
		success = push(&s, d); // push the current character to the stack, which is packaged inside Data struct
		++index; // go to the next character in the string
	}

	index = 0; // starting back at beg. of string memory
	while (!isEmpty(&s)) // are there still Data items in the stack?
	{
		// process of reversing string
		d = peek(&s); 
		str[index] = d.letter; // need to covert back to just a character to store in the char array;
		                       // we are modifying the original array/string
		++index;
		pop(&s); // remove the top Node from the stack
	}

	return str;
}