#include "TestStack.h"

void testPushOnEmptyStack(void)
{
	Stack s = { NULL }; // stack is now empty
	Data d = {'A'}; // test points
	int success = 0;

	success = push(&s, d); // s is an empty stack

	if (success == 1)
	{
		printf("The value returned matched the expected result for success!\n");

		if (s.pTop != NULL)
		{
			printf("The test for pTop was successful. It's no longer NULL!\n");

			if (s.pTop->item.letter == d.letter)
			{
				printf("The data at the top of stack matches the test point. Test passed!\n");
			}
			else
			{
				printf("The data at the top of stack doesn't match the test point. Test failed!\n");
			}
		}
		else // pTop didn't change; this is a problem
		{
			printf("The test for pTop was failed!\n");

		}


	}
	else
	{
		printf("The the value returned didn't match the expected result for success!\n");

	}
}